Module java.xml
Package javax.xml.xpath

# Class XPathFunctionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.xml.xpath.XPathException
javax.xml.xpath.XPathExpressionException
javax.xml.xpath.XPathFunctionException

All Implemented Interfaces:
  `Serializable`

public class XPathFunctionException extends XPathExpressionException
`XPathFunctionException` represents an error with an XPath function.

Since:
  1.5
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XPathFunctionException(String message)`
Constructs a new `XPathFunctionException` with the specified detail `message`.
`XPathFunctionException(Throwable cause)`
Constructs a new `XPathFunctionException` with the specified `cause`.

## Method Summary

### Methods declared in class javax.xml.xpath.XPathException

`getCause, printStackTrace, printStackTrace, printStackTrace`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XPathFunctionException

public XPathFunctionException(String message)
Constructs a new `XPathFunctionException` with the specified detail `message`.

The `cause` is not initialized.

If `message` is `null`, then a `NullPointerException` is thrown.

Parameters:
  `message` - The detail message.
Throws:
  `NullPointerException` - When `message` is `null`.

### XPathFunctionException

public XPathFunctionException(Throwable cause)
Constructs a new `XPathFunctionException` with the specified `cause`.

If `cause` is `null`, then a `NullPointerException` is thrown.

Parameters:
  `cause` - The cause.
Throws:
  `NullPointerException` - if `cause` is `null`.